html {
    margin: 0;
    padding: 0;
    width: 100%;
    height: 100%;
    background-image: linear-gradient(-90deg, #f1f1f1, #ffffff, #f1f1f1);
    font-family: "Pretendard Variable", Pretendard, -apple-system, BlinkMacSystemFont, system-ui, Roboto, "Helvetica Neue", "Segoe UI", "Apple SD Gothic Neo", "Noto Sans KR", "Malgun Gothic", "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", sans-serif;
}

body {
    margin: 0;
    padding: 0;
    width: 100%;
    height: 100%;
}

@import url("https://cdn.jsdelivr.net/gh/orioncactus/pretendard@v1.3.9/dist/web/static/pretendard.min.css");

.unselectable {
    -webkit-touch-callout: none;
    -webkit-user-select: none;
    -khtml-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

#logo-sizer {
    margin: auto;
    width: 80%;
    max-width: 1200px;
}

#controller {
    position: relative;
}

/* index.css */
.company-intro {
    margin: 50px 0;
    text-align: center;
    font-size: 22px;
    line-height: 1.8;
    color: #333;
    background: linear-gradient(90deg, #e0e0e0 0%, #fff 50%, #e0e0e0 100%);
    padding: 20px;
    border-radius: 10px;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
}

.nav {
    position: sticky;
    top: 3%;
    z-index: 2;
    font-size: 22px;
    background-color: #f1f1f1;
    color: #ed56bb;
    width: 100%;
    margin: 5% 0 5% 0;
    /*padding: 10px 0 10px 0;*/
    letter-spacing: 1px;
    opacity: 0;
    transform: translate(0, 100%);
    transition: transform 4s .25s cubic-bezier(0, 1, .3, 1),
    opacity .3s .25s ease-out;
    will-change: opacity, transform;
}

.show-on-scroll {
    opacity: 0;
    transform: translate(0, 100%);
    transition: transform 4s .25s cubic-bezier(0, 1, .3, 1),
    opacity .3s .25s ease-out;
    will-change: opacity, transform;
}

.is-visible {
    opacity: 1;
    transform: none;
}

.top-bar {
    width: 100%;
    overflow: hidden;
    height: 55px;
}

.nav-container {
    width: fit-content;
    margin: auto;

}

.button {
    border: none;
    display: inline-block;
    padding: 8px 16px;
    vertical-align: middle;
    overflow: hidden;
    text-decoration: none;
    color: inherit;
    background-color: inherit;
    text-align: center;
    cursor: pointer;
    white-space: nowrap;
    margin: 0 20px 0 20px;
}

.nav-container .active {
    color: #0f93ed;
    font-weight: bold;
}

.top-bar .top-bar-item {
    padding: 8px 16px;
    float: left;
    width: auto;
    border: none;
    display: block;
    outline: 0;
}

.topnav a {
    padding: 10px 15px 9px 15px !important;
}

#main {
    /*padding-top: 95px;*/
    position: fixed;
    width: 100%;
    height: 100%;
    overflow: scroll;
    -ms-overflow-style: none; /* IE and Edge */
    scrollbar-width: none; /* Firefox */
}

#main::-webkit-scrollbar {
    display: none;
}

#logo-container {
    position: relative;
    margin: 3% auto auto auto;
    /*margin: auto;*/
    width: 45%;
}

#works {
    position: relative;
    padding-top: 5%;
    background-image: linear-gradient(rgba(5, 5, 5, 0) 0%, rgba(5, 5, 5, 0.2) 50%, rgba(5, 5, 5, 0));
    height: fit-content;
}

#work {
    padding-top: 8%;
}

.item-box {
    margin-bottom: 200px;
}

h1 {
    font-size: 35px;
}

h2 {
    font-size: 28px;
}

h3 {
    font-size: 22px;
}

h4 {
    font-size: 18px;
}

.center {
    width: 80%;
    margin: auto;
    text-align: center;
}

/* The Modal (background) */
.modal {
    position: relative;
    margin: auto;
    width: 100%;
    max-width: 1200px;
    z-index: 1;
    padding-top: 100px;
    overflow: hidden;
}

.modal-image {
    display: inline-block;
    position: relative;
    width: 100%;
}

/* Modal Content */
.modal-content {
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    margin: auto;
    width: 100%;
}

.slide-dummy {
    margin-top: 56.3%;
}

/* Hide the slides by default */
.slide {
    display: none;
    height: 100%;
    margin: auto;
}

.slide-image {
    height: 100%;
    max-height: calc(1200px / 16 * 9);
    display: block;
    margin: auto;
}

/* Next & previous buttons */
.prev,
.next {
    cursor: pointer;
    position: absolute;
    top: 50%;
    width: auto;
    padding: 16px;
    margin-top: -50px;
    color: #ffffff;
    mix-blend-mode: difference;
    font-weight: bold;
    font-size: 28px;
    transition: 0.6s ease;
    border-radius: 0 3px 3px 0;
    user-select: none;
    -webkit-user-select: none;
}

/* Position the "next button" to the right */
.next {
    right: 0;
    border-radius: 3px 0 0 3px;
}

/* On hover, add a black background color with a little bit see-through */
.prev:hover,
.next:hover {
    background-color: rgba(0, 0, 0, 0.8);
    color: #f1f1f1;
}

.modal-column {
    display: inline-block;
    position: relative;
    width: 100%;
}

.column-dummy {
    margin-top: 15%;
}

.column {
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    margin: 50px auto auto auto;
    width: fit-content;
    max-width: 1200px;
}

img.demo {
    display: inline-block;
    margin: auto;
    opacity: 0.6;
    height: 100%;
}

img.active,
.demo:hover {
    opacity: 1;
}

.text-box {
    position: relative;
    margin: auto;
    width: 60%;
    max-width: 720px;
    padding-top: 100px;
}

.partial-div {
    display: inline-block;
    /*position: relative;*/
    width: calc(50% - 10px);
    padding: 5px;
}

.desc-div {
    position: relative;
    margin-top: 15px;
    padding: 5px;
}

#about {
    position: relative;
    padding-top: 8%;
    margin-bottom: 200px;
}

.profile-image {
    display: block;
    margin: auto;
    width: 60%;
    max-width: 720px;
}

.clip-circle {
    clip-path: circle(50% at center);
}

.about-container {
    margin-top: 50px;
}

.name {
    margin-top: 10px;
    margin-bottom: 10px;
    font-size: 42px;
}

.vertical-margin-10 {
    margin-top: 10px;
    margin-bottom: 10px;
}

.vertical-margin-20 {
    margin-top: 20px;
    margin-bottom: 20px;
}

#contact {
    position: relative;
    padding-top: 8%;
    padding-bottom: 40%;
    background-image: linear-gradient(rgba(5, 5, 5, 0) 0%, rgba(5, 5, 5, 0.2));
}

@media only screen and (max-width: 1920px) {
    #logo-sizer {
        margin: auto;
        width: 80%;
        max-width: 700px;
    }
}

@media only screen and (max-width: 1280px) {
    #logo-sizer {
        margin: auto;
        width: 80%;
    }

    .nav {
        font-size: 36px;
    }

    .nav-container .active {
        color: #0f93ed;
        font-weight: bold;
    }

    .show-on-scroll {
        opacity: 0;
        transform: translate(0, 100%);
        transition: transform 4s .25s cubic-bezier(0, 1, .3, 1),
        opacity .3s .25s ease-out;
        will-change: opacity, transform;
    }

    .is-visible {
        opacity: 1;
        transform: none;
    }

    #work {
        padding-top: 25%;
    }

    #about {
        padding-top: 25%;
    }

    #contact {
        padding-top: 25%;
    }

    .about-container {
        margin: 50px auto auto auto;
        width: 80%;
    }

    .center {
        width: 100%;
    }

    .text-box {
        width: 90%;
    }

    #contact {
        padding-bottom: 100%;
    }
}